Module
Inhalte
Index 🔎︎

# Funktion Val

Konvertiert eine Zeichenkette in einen numerischen Ausdruck.

## Syntax:

    Val (Text As String)

## Rückgabewert:

Double

## Parameter:

Text: Zeichenkette, die eine Zahl darstellt.

Mit der Funktion Val können Sie eine Zeichenkette, die Zahlen darstellt, in einen numerischen Ausdruck konvertieren. Sie ist das Gegenstück der Funktion Str. Wenn nur ein Teil der Zeichenkette Zahlen enthält, werden nur die ersten zulässigen Zeichen (das heißt Ziffern) innerhalb der Zeichenkette konvertiert. Enthält die Zeichenkette keine Zahlen, so gibt die Funktion Val den Wert 0 zurück.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleVal

        MsgBox Val("123.123")

        MsgBox Val("A123.123")

    End Sub